Программа: MySpeach 3.0.2, возможно другие версии.

Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе. Уязвимость существует из-за недостаточной обработки входных данных в параметре "my_ms[root]" в сценарии jscript.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

Пример:

http://[host]/[Script Path]/jscript.php?my_ms[root]=[file]



Оставить мнение